local CommonManager = class("CommonManager", BaseModule)

function CommonManager:showMopUpUI(actType, rewards, remainCount, callback, customtitleTx, target)
    local params = {
        actType = actType,
        customtitleTx = customtitleTx,
        rewards = rewards,
        remainCount = remainCount,
        callback = callback,

        ---- 有目标的扫荡 可为nil
        target = target,
    }
    AudioManager:playEffect(AudioManager.EFFECT_ID.DUNGEON_SMASH)
    UIManager:showUI("app/ui/common/mop_up_ui", params)
end

function CommonManager:showFormationUI(formationType)
    local params = {
        formationType = formationType
    }
    UIManager:showUI("app/ui/common/common_formation_ui", params)
end

function CommonManager:showExchangeUI(defaultNum, remainNum, reward, cost, callback)
    local params = {
        defaultNum = defaultNum,
        remainNum = remainNum,
        reward = reward,
        cost = cost,
        callback = callback
    }

    UIManager:showUI("app/ui/common/common_exchange_ui", params)
end

return CommonManager